Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc

# Interface StoredProcedureMetaData

@InternalApi public interface StoredProcedureMetaData
Meta-information on stored procedures in a Firebird database.

This interface is internal API of Jaybird. Future versions may radically change, move, or make inaccessible this type.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canGetSelectableInformation()`
Determine if the "selectability" of procedures is available.
`boolean`
`isSelectable(String procedureName)`
Retrieve whether a given stored procedure is selectable.

## Method Details

### canGetSelectableInformation

boolean canGetSelectableInformation()
Determine if the "selectability" of procedures is available. This functionality is only available starting from Firebird 2.1, and only with databases created by that version or later.

Returns:
  `true` if selectability information is available, `false` otherwise

### isSelectable

boolean isSelectable(String procedureName) throws SQLException
Retrieve whether a given stored procedure is selectable.

A selectable procedure is one that can return multiple rows of results (i.e. it uses a `SUSPEND` statement).

Parameters:
  `procedureName` - The name of the procedure for which selectability information is to be retrieved
Returns:
  `true` if the procedure is selectable, `false` otherwise
Throws:
  `SQLException` - If no selectability information is available